package jp.ac.naka.ec.sensor;

import jp.ac.naka.ec.Location;

public interface SensorData {
	
	/**
	 * センサノードIDの取得
	 */
	public String getName();
	public void setName(String id);
	
	/**
	 * センサノードの情報の有効時間の取得
	 */
	public long getTTL();
	public void setTTL(long ttl);
	
	/**
	 * センサノードの位置座標
	 * @return loc
	 */
	public Location getLocation();
	public void setLocation(Location loc);
	
	/**
	 * センサデバイスの情報の取得
	 */ 
	public Device getDevice();
	public void setDevice(Device device);
	
	public DataType getDataType();
	public void setDataType(DataType dataType);
	public String getMeasure();
	public void setMeasure(String measure);
	public String getDataName();
	public void setDataName(String dataName);
	public CharSequence toXML();
	public CharSequence toXML(String padding);
	public void setData(String data);
	public Object getData();
	
	public enum DataType {
		Integer, Float, Double, String;
	}
}
